//*PAL EUROPE
//patches.h
//Copyright (C) 2008 by raven
//This is Free Software released under the GNU/GPL License.

#ifndef _PATCHES_H_
#define _PATCHES_H_

#include "patch.h"

#define PATCH_COUNT 23

patch_t ptch[PATCH_COUNT] = {	
	{
		{"Disable Disc Region Checks 1/6"},
		0x4DED4,
		{
			0x40, 0x82, 0x00, 0x10
		},
		{
			0x60, 0x00, 0x00, 0x00
		},
		4
	},
	{
		{"Disable Disc Region Checks 2/6"},
		0x4E1B0,
		{
			0x40, 0x82, 0x00, 0x1C
		},
		{
			0x48, 0x00, 0x00, 0x1C
		},
		4
	},
	{
		{"Disable Disc Region Checks 3/6"},
		0x4E190,
		{
			0x38, 0x00, 0x00, 0x00
		},
		{
			0x38, 0x00, 0x00, 0x01
		},
		4
	},
	{
		{"Disable Disc Region Checks 4/6"},
		0x4DECC,
		{
			0x38, 0x00, 0x00, 0x00
		},
		{
			0x38, 0x00, 0x00, 0x01
		},
		4
	},
	{
		{"Disable Disc Region Checks 5/6"},
		0x5024C,
		{
			0x38, 0x60, 0x00, 0x00
		},
		{
			0x38, 0x60, 0x00, 0x01
		},
		4
	},
	{
		{"Disable Disc Region Checks 6/6"},
		0x4EA04,
		{
			0x40, 0x82, 0x00, 0x0C
		},
		{
			0x60, 0x00, 0x00, 0x00
		},
		4
	},
	{
		{"Disable HAXX, DVDX, RZDX Checks"},
		0x4B30,
		{
			0x48, 0x03, 0x2D, 0x75
		},
		{
			0x60, 0x00, 0x00, 0x00
		},
		4
	},
	{
		{"Block Disc Updates"},
		0x4FB88,
		{
			0x40, 0x82, 0x00, 0x20
		},
		{
			0x60, 0x00, 0x00, 0x00
		},
		4
	},
	{
		{"Block Online Updates"},
		0x360590,
		{
			0x68, 0x74, 0x74, 0x70
		},
		{
			0x6E, 0x75, 0x6C, 0x6C
		},
		4
	},
	{
		{"Force WiFi Connection Test Error"},
		0x322480,
		{
			0x6E, 0x65, 0x74, 0x2F
		},
		{
			0x74, 0x6C, 0x64, 0x2F
		},
		4
	},
	{
		{"Region Free Channels"},
		0x1FE0A4,
		{
			0x40, 0x82, 0x00, 0x0C
		},
		{
			0x60, 0x00, 0x00, 0x00
		},
		4
	},
	{
		{"Region Free GC Games No VM Patch"},
		0x4DED4,
		{
			0x40, 0x82, 0x00, 0x10,
			0x38, 0x00, 0x00, 0x36
		},
		{
			0x90, 0x0D, 0xA5, 0xD8,
			0x38, 0x00, 0x00, 0x32
		},
		8
	},
	{
		{"Remove NoCopy Protection 1/5"},
		0x95C08,
		{
			0x28, 0x00, 0x00, 0x01,
			0x40, 0x82, 0x00, 0x1C
		},
		{
			0x7C, 0x00, 0x00, 0x00,
			0x41, 0x82, 0x00, 0x1C
		},
		8
	},
	{
		{"Remove NoCopy Protection 2/5"},
		0x1E7F4,
		{
			0x54, 0x00, 0x07, 0xFF
		},
		{
			0x7C, 0X00, 0X00, 0X00
		},
		4
	},
	{
		{"Remove NoCopy Protection 3/5"},
		0x292C40,
		{
			0x48, 0x03, 0xE8, 0xFD
		},
		{
			0x38, 0X60, 0X00, 0X01
		},
		4
	},
	{
		{"Remove NoCopy Protection 4/5"},
		0x244F0,
		{
			0x3B, 0xE0, 0x00, 0x01
		},
		{
			0x38, 0XE0, 0X00, 0X00
		},
		4
	},
	{
		{"Remove NoCopy Protection 5/5"},
		0x1E804,
		{
			0x48, 0x1D, 0XEE, 0X9D,
			0x80, 0x77, 0x00, 0x00,
			0x38, 0x00, 0xFF, 0xF3,
			0x3C, 0x63, 0x00, 0x04
		},
		{
			0x80, 0x1C, 0x00, 0x24,
			0x54, 0x00, 0x00, 0x3C,
			0x90, 0x1C, 0x00, 0x24,
			0x48, 0x00, 0x00, 0x18
		},
		16
	},
	{
		{"Move Disc Channel"},
		0x8021C,
		{
			0x41, 0x82, 0x01, 0x20
		},
		{
			0x60, 0x00, 0x00, 0x00
		},
		4
	},
	{
		{"No Menu BG Music"},
		0x3B7EC,
		{
			0x94, 0x21, 0xFF, 0xF0
		},
		{
			0x4E, 0x80, 0x00, 0x20
		},
		4
	},
	{
		{"Recovery Mode 4th GC DPad UP"},
		0x4B294,
		{
			0x2C, 0x00, 0x00, 0x0F
		},
		{
			0x2C, 0x00, 0x00, 0x08
		},
		4 
	},
	{
		{"Remove Diag Disc Check"},
		0x49EC8,
		{
			0x41, 0x82, 0x00, 0x08
		},
		{
			0x60, 0x00, 0x00, 0x00
		},
		4
	},
	{
		{"Auto-Press A At Health Screen"},
		0x8DB40,
		{
			0x41, 0x81, 0x00, 0x10
		},
		{
			0x48, 0x00, 0x00, 0x34
		},
		4 
	},
	{
		{"Replace Health Screen With Black"},
		0x3277D4,
		{
			0x81, 0x40, 0x9D, 0x30
		},
		{
			0x81, 0x40, 0x9D, 0x98
		},
		4 
	},
	/*{
		{"press RIGHT GC-PAD 4th port -1/2"},
		0x4AC90,
		{
			0x2C, 0x00, 0x00, 0x0F 
		},
		{
			0x2C, 0x00, 0x00, 0x02  //right GC-PAD
		},
		4 
	},
	{
		{"press RIGHT GC-PAD 4th port -2/2"},
		0x498C4,
		{
			0x41, 0x82, 0x00, 0x08 
		},
		{
			0x60, 0x00, 0x00, 0x00  
		},
		4 
	},*/
};

#endif
